X
Нажмите здесь, чтобы перейти на мобильную версию сайта.

Форум поддержки

How can I move the tabs under the URL bar in Firefox 68?

Размещено

Before anyone goes Pshaw... let me state that I am very old, and any excess strain on my body has severe repercussions. Who knew browsers could be so dangerous?

I have been using Firefox 56 for some time and decided to try out Firefox Quantum this morning. Everything worked pretty smoothly, and I have no complaints about the browser itself. However, for medical reasons, I need to have the tabs underneath the url bar. It seems that, by craning my neck to look up at the tabs, I managed to cause my neck to spasm so forcefully that I had to go to the hospital. The pain was excruciating.

It made me smile that the doctor gave me a prescription for Firefox 56 when I left the emergency room in a neck brace, shot full of muscle relaxants, and a warning to dump Firefox Quantum unless a solution can be found.

I did try to copy and paste chrome CSS code...but that doesn't seem to work on newer versions of Firefox. I hope someone has a solution...in the meantime, I am back to Firefox 56, which puts the tabs at, not above, eye level, without having to cram my browser down to the bottom of my iMac screen.

Go ahead and chortle, sigh.

Before anyone goes Pshaw... let me state that I am very old, and any excess strain on my body has severe repercussions. Who knew browsers could be so dangerous? I have been using Firefox 56 for some time and decided to try out Firefox Quantum this morning. Everything worked pretty smoothly, and I have no complaints about the browser itself. However, for medical reasons, I need to have the tabs underneath the url bar. It seems that, by craning my neck to look up at the tabs, I managed to cause my neck to spasm so forcefully that I had to go to the hospital. The pain was excruciating. It made me smile that the doctor gave me a prescription for Firefox 56 when I left the emergency room in a neck brace, shot full of muscle relaxants, and a warning to dump Firefox Quantum unless a solution can be found. I did try to copy and paste chrome CSS code...but that doesn't seem to work on newer versions of Firefox. I hope someone has a solution...in the meantime, I am back to Firefox 56, which puts the tabs at, not above, eye level, without having to cram my browser down to the bottom of my iMac screen. Go ahead and chortle, sigh.
Цитата

Дополнительные сведения о системе

Приложение

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:68.0) Gecko/20100101 Firefox/68.0

Дополнительная информация

cor-el
  • Top 10 Contributor
  • Moderator
17422 решений 157421 ответов
Размещено

See this thread for updated userChrome.css code for Firefox 65 to move the tabs to the bottom position.

See this thread for updated userChrome.css code for Firefox 65 to move the tabs to the bottom position. *[[/questions/1248277]] Reposition Tabs at bottom, directly above web page in Firefox 65.0?
Помогла ли вам это? 0
Цитата
jscher2000
  • Top 10 Contributor
8640 решений 70685 ответов
Размещено

Hi Vorpal, you also could consider a good memory foam cushion for your chair to raise your eye level.

But seriously, for Firefox 65 and later, the rules -- the rules you put in your userChrome.css file -- have changed. I'm not quite sure what you tried, but I generally recommend using rules from this source:

Custom CSS tweaks for Firefox Quantum

Since I no longer have access to a Mac, I am not really able to guide you on what exactly to download. However, my general approach is here: https://support.mozilla.org/questions/1241903

Hi Vorpal, you also could consider a good memory foam cushion for your chair to raise your eye level. But seriously, for Firefox 65 and later, the rules -- the rules you put in your userChrome.css file -- have changed. I'm not quite sure what you tried, but I generally recommend using rules from this source: [https://github.com/Aris-t2/CustomCSSforFx/ Custom CSS tweaks for Firefox Quantum] Since I no longer have access to a Mac, I am not really able to guide you on what exactly to download. However, my general approach is here: https://support.mozilla.org/questions/1241903
Помогла ли вам это?
Цитата
Размещено

Задавший вопрос

Unfortunately, I am using version 68, and these CSS fixes don't work anymore. I am baffled that the developers refuse to allow an end-user to configure the interface to their own comfort level.

In my case, my browser is now squished to a small box at the bottom of the display, because several add-ons stopped working tonight in Firefox 56 again. I will have to wait until that gets fixed before I can comfortably use Firefox again.

Unfortunately, I am using version 68, and these CSS fixes don't work anymore. I am baffled that the developers refuse to allow an end-user to configure the interface to their own comfort level. In my case, my browser is now squished to a small box at the bottom of the display, because several add-ons stopped working tonight in Firefox 56 again. I will have to wait until that gets fixed before I can comfortably use Firefox again.
Помогла ли вам это?
Цитата
jscher2000
  • Top 10 Contributor
8640 решений 70685 ответов
Размещено

Firefox 68 is a pre-release test version, so I'm not sure how you got that one. The CSS rules work on the current release version, Firefox 67, on Windows. I can't test on Mac, sorry.

If you are using Firefox 56 and your add-ons cannot be verified -- this is usually indicated in red text on the Add-ons page -- you probably need this "hotfix" to replace a certificate that expired on May 4th:

https://addons.mozilla.org/firefox/addon/disabled-add-on-fix-52-56/

Firefox 68 is a pre-release test version, so I'm not sure how you got that one. The CSS rules work on the current release version, Firefox 67, on Windows. I can't test on Mac, sorry. If you are using Firefox 56 and your add-ons cannot be verified -- this is usually indicated in red text on the Add-ons page -- you probably need this "hotfix" to replace a certificate that expired on May 4th: https://addons.mozilla.org/firefox/addon/disabled-add-on-fix-52-56/
Помогла ли вам это?
Цитата
Размещено

Задавший вопрос

I was asked to install Developer Edition 68 to help with debugging an add-on. Also, it can be installed beside my Firefox 56, which stopped loading some add-ons yesterday for some reason...like that debacle a few weeks ago.

I was asked to install Developer Edition 68 to help with debugging an add-on. Also, it can be installed beside my Firefox 56, which stopped loading some add-ons yesterday for some reason...like that debacle a few weeks ago.
Помогла ли вам это?
Цитата
Размещено

Задавший вопрос

That hotfix didn't work for Cookie Monster or Rikaichan, which were suddenly disabled last night. The other plug-ins I got working weeks ago. But thanks for the fix.

That hotfix didn't work for Cookie Monster or Rikaichan, which were suddenly disabled last night. The other plug-ins I got working weeks ago. But thanks for the fix.
Помогла ли вам это?
Цитата
Задать вопрос

Для ответа на сообщения вы должны войти в свою учётную запись. Пожалуйста, задайте новый вопрос, если у вас ещё нет учётной записи.